Loading...
Searching...
No Matches
itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform > Class Template Reference

`#include <itkGPUAdvancedEuler2DTransform.h>`

## Detailed Description

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>
class itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >

GPU version of AdvancedEuler2DTransform.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 38 of file itkGPUAdvancedEuler2DTransform.h.

Inheritance diagram for itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUInverseMatrixType = typename GPUSuperclass::CPUInverseMatrixType
using | CPUMatrixType = typename GPUSuperclass::CPUMatrixType
using | CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType
using | CPUSuperclass = TParentTransform
using | GPUSuperclass = GPUMatrixOffsetTransformBase<TScalarType, 2, 2>
using | Pointer = SmartPointer<Self>
using | Self = GPUAdvancedEuler2DTransform
Public Types inherited from itk::AdvancedRigid2DTransform< TScalarType >
using | ConstPointer = SmartPointer<const Self>
typedef typename SpatialJacobianType::InternalMatrixType | InternalMatrixType
typedef std::vector< SpatialHessianType > | JacobianOfSpatialHessianType
typedef std::vector< SpatialJacobianType > | JacobianOfSpatialJacobianType
typedef std::vector< unsigned long > | NonZeroJacobianIndicesType
using | Pointer = SmartPointer<Self>
using | Self = AdvancedRigid2DTransform
typedef FixedArray< Matrix< ScalarType, InputSpaceDimension, InputSpaceDimension >, OutputSpaceDimension > | SpatialHessianType
typedef Matrix< ScalarType, OutputSpaceDimension, InputSpaceDimension > | SpatialJacobianType
using | Superclass = AdvancedMatrixOffsetTransformBase<TScalarType, 2, 2>
Public Types inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
using | CenterType
using | ConstPointer
typedef typename SpatialJacobianType::InternalMatrixType | InternalMatrixType
using | InverseMatrixType
typedef std::vector< SpatialHessianType > | JacobianOfSpatialHessianType
typedef std::vector< SpatialJacobianType > | JacobianOfSpatialJacobianType
using | MatrixType
typedef std::vector< unsigned long > | NonZeroJacobianIndicesType
using | OffsetType
using | Pointer
using | Self
typedef FixedArray< Matrix< ScalarType, InputSpaceDimension, InputSpaceDimension >, OutputSpaceDimension > | SpatialHessianType
typedef Matrix< ScalarType, OutputSpaceDimension, InputSpaceDimension > | SpatialJacobianType
using | Superclass
using | TranslationType
Public Types inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
using | ConstPointer
using | InternalMatrixType
using | InverseTransformBaseType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | MovingImageGradientType
using | MovingImageGradientValueType
using | NonZeroJacobianIndicesType
using | Pointer
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer
Public Types inherited from itk::GPUMatrixOffsetTransformBase< float, 2, 2 >
using | CPUInverseMatrixType
using | CPUMatrixType
using | CPUOutputVectorType
using | GPUSuperclass
using | ScalarType
using | Self
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
const CPUMatrixType & | GetCPUMatrix () const override
const CPUOutputVectorType & | GetCPUOffset () const override
Public Member Functions inherited from itk::AdvancedRigid2DTransform< TScalarType >
virtual const TScalarType & | GetAngle ()
void | GetJacobian (const InputPointType &, JacobianType &, NonZeroJacobianIndicesType &) const override
const ParametersType & | GetParameters () const override
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedRigid2DTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, 2)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, 2)
| itkStaticConstMacro (ParametersDimension, unsigned int, 3)
void | SetAngle (TScalarType angle)
void | SetIdentity () override
void | SetMatrix (const MatrixType &matrix) override
void | SetParameters (const ParametersType &parameters) override
Public Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
const InputPointType & | GetCenter () const
const FixedParametersType & | GetFixedParameters () const override
void | GetJacobianOfSpatialHessian (const InputPointType &, JacobianOfSpatialHessianType &, NonZeroJacobianIndicesType &) const override
void | GetJacobianOfSpatialJacobian (const InputPointType &, JacobianOfSpatialJacobianType &, NonZeroJacobianIndicesType &) const override
const MatrixType & | GetMatrix () const
const ParametersType & | GetParameters () const override
void | GetSpatialHessian (const InputPointType &, SpatialHessianType &) const override
void | GetSpatialJacobian (const InputPointType &, SpatialJacobianType &) const override
TransformCategoryEnum | GetTransformCategory () const override
const OutputVectorType & | GetTranslation () const
bool | IsLinear () const override
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
void | SetCenter (const InputPointType &center)
void | SetFixedParameters (const FixedParametersType &) override
void | SetParameters (const ParametersType &parameters) override
void | SetTranslation (const OutputVectorType &translation)
OutputCovariantVectorType | TransformCovariantVector (const InputCovariantVectorType &vector) const override
OutputPointType | TransformPoint (const InputPointType &point) const override
OutputVectorType | TransformVector (const InputVectorType &vector) const override
Public Member Functions inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
void | ComputeJacobianWithRespectToParameters (const InputPointType &, JacobianType &) const override
virtual void | EvaluateJacobianWithImageGradientProduct (const InputPointType &inputPoint, const MovingImageGradientType &movingImageGradient, DerivativeType &imageJacobian, NonZeroJacobianIndicesType &nonZeroJacobianIndices) const
virtual bool | GetHasNonZeroJacobianOfSpatialHessian () const
virtual bool | GetHasNonZeroSpatialHessian () const
virtual NumberOfParametersType | GetNumberOfNonZeroJacobianIndices () const
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedTransform)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
Public Member Functions inherited from itk::GPUMatrixOffsetTransformBase< float, 2, 2 >
bool | IsMatrixOffsetTransform () const override
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsTranslationTransform () const

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedRigid2DTransform< TScalarType >
static Pointer | New ()
Static Public Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
static Pointer | New ()

## Protected Member Functions

| GPUAdvancedEuler2DTransform ()=default
| ~GPUAdvancedEuler2DTransform () override=default
Protected Member Functions inherited from itk::AdvancedRigid2DTransform< TScalarType >
| AdvancedRigid2DTransform ()
| AdvancedRigid2DTransform (unsigned int parametersDimension)
void | ComputeMatrix () override
void | ComputeMatrixParameters () override
virtual void | PrecomputeJacobianOfSpatialJacobian ()
void | PrintSelf (std::ostream &os, Indent indent) const override
void | SetVarAngle (TScalarType angle)
| ~AdvancedRigid2DTransform () override=default
Protected Member Functions inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
| AdvancedMatrixOffsetTransformBase (const unsigned int paramDims=ParametersDimension)
virtual void | ComputeOffset ()
void | ComputeTranslation ()
const OutputVectorType & | GetOffset () const
void | PrintSelf (std::ostream &s, Indent indent) const override
void | SetVarMatrix (const MatrixType &matrix)
void | SetVarTranslation (const OutputVectorType &translation)
| ~AdvancedMatrixOffsetTransformBase () override=default
Protected Member Functions inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
| AdvancedTransform ()=default
| ~AdvancedTransform () override=default
Protected Member Functions inherited from itk::GPUMatrixOffsetTransformBase< float, 2, 2 >
GPUDataManager::Pointer | GetParametersDataManager () const override
bool | GetSourceCode (std::string &source) const override
| GPUMatrixOffsetTransformBase ()
| ~GPUMatrixOffsetTransformBase () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUAdvancedEuler2DTransform (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Additional Inherited Members

Protected Attributes inherited from itk::AdvancedMatrixOffsetTransformBase< double, 2, 2 >
JacobianOfSpatialHessianType | m_JacobianOfSpatialHessian
JacobianOfSpatialJacobianType | m_JacobianOfSpatialJacobian
NonZeroJacobianIndicesType | m_NonZeroJacobianIndices
SpatialHessianType | m_SpatialHessian
Protected Attributes inherited from itk::AdvancedTransform< double, NInputDimensions, NOutputDimensions >
bool | m_HasNonZeroJacobianOfSpatialHessian
bool | m_HasNonZeroSpatialHessian
Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

using itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 48 of file itkGPUAdvancedEuler2DTransform.h.

## CPUInverseMatrixType

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

using itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::CPUInverseMatrixType = typename GPUSuperclass::CPUInverseMatrixType

Definition at line 58 of file itkGPUAdvancedEuler2DTransform.h.

## CPUMatrixType

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

using itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::CPUMatrixType = typename GPUSuperclass::CPUMatrixType

Typedefs from GPUSuperclass.

Definition at line 57 of file itkGPUAdvancedEuler2DTransform.h.

## CPUOutputVectorType

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

using itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType

Definition at line 59 of file itkGPUAdvancedEuler2DTransform.h.

## CPUSuperclass

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

using itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::CPUSuperclass = TParentTransform

Definition at line 45 of file itkGPUAdvancedEuler2DTransform.h.

## GPUSuperclass

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

using itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::GPUSuperclass = GPUMatrixOffsetTransformBase<TScalarType, 2, 2>

Definition at line 46 of file itkGPUAdvancedEuler2DTransform.h.

## Pointer

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

using itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::Pointer = SmartPointer<Self>

Definition at line 47 of file itkGPUAdvancedEuler2DTransform.h.

## Self

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

using itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::Self = GPUAdvancedEuler2DTransform

Standard class typedefs.

Definition at line 44 of file itkGPUAdvancedEuler2DTransform.h.

## Constructor & Destructor Documentation

## GPUAdvancedEuler2DTransform() [1/2]

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::GPUAdvancedEuler2DTransform | ( |  | ) |

protected default

## ~GPUAdvancedEuler2DTransform()

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::~GPUAdvancedEuler2DTransform | ( |  | ) |

override protected default

## GPUAdvancedEuler2DTransform() [2/2]

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::GPUAdvancedEuler2DTransform | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

virtual const char * itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::AdvancedRigid2DTransform< TScalarType >.

## GetCPUMatrix()

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

const CPUMatrixType & itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::GetCPUMatrix | ( |  | ) | const

inline override virtual

Get CPU matrix of an MatrixOffsetTransformBase.

Implements itk::GPUMatrixOffsetTransformBase< float, 2, 2 >.

Definition at line 63 of file itkGPUAdvancedEuler2DTransform.h.

## GetCPUOffset()

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

const CPUOutputVectorType & itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::GetCPUOffset | ( |  | ) | const

inline override virtual

Get CPU offset of an MatrixOffsetTransformBase.

Implements itk::GPUMatrixOffsetTransformBase< float, 2, 2 >.

Definition at line 70 of file itkGPUAdvancedEuler2DTransform.h.

## New()

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

Pointer itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TScalarType = float, typename TParentTransform = AdvancedRigid2DTransform<TScalarType>>

const Self & itk::GPUAdvancedEuler2DTransform< TScalarType, TParentTransform >::operator= | ( | const Self & |  | ) |

private delete

Generated on 1768596610 for elastix by 1.15.0 |